package com.ruoyi.zhiyuanzhe.domain;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


/**
 * 活动人员匹配度关联表(BActivityUser)表实体类
 *
 * @author wu
 * @since 2023-09-28 15:27:08
 */
@Data
@ApiModel("活动人员匹配度关联表实体类")
public class BActivityUser implements Serializable {

    private static final long serialVersionUID = -94290246857301259L;

    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id")
    private Long id;

    /**
     * 活动id
     */
    @ApiModelProperty(value = "活动id")
    private Long activityId;

    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id")
    private Long uId;

    /**
     * 匹配度
     */
    @ApiModelProperty(value = "匹配度")
    private Double degreeOfMatch;

    /**
     * 状态 0:未邀请 1:已邀请 2:已报名
     */
    @ApiModelProperty(value = "状态 0:未邀请 1:已邀请 2:已报名")
    private Integer status;

}

