package com.ruoyi.zhiyuanzhe.mapper;

import com.ruoyi.zhiyuanzhe.domain.BExchangeRecords;

import java.util.List;


/**
 * 兑换记录Mapper接口
 * 
 * @author ruoyi
 * @date 2023-09-19
 */
public interface BExchangeRecordsMapper 
{
    /**
     * 查询兑换记录
     * 
     * @param id 兑换记录主键
     * @return 兑换记录
     */
    public BExchangeRecords selectBExchangeRecordsById(Long id);

    /**
     * 查询兑换记录列表
     * 
     * @param bExchangeRecords 兑换记录
     * @return 兑换记录集合
     */
    public List<BExchangeRecords> selectBExchangeRecordsList(BExchangeRecords bExchangeRecords);

    /**
     * 新增兑换记录
     * 
     * @param bExchangeRecords 兑换记录
     * @return 结果
     */
    public int insertBExchangeRecords(BExchangeRecords bExchangeRecords);

    /**
     * 修改兑换记录
     * 
     * @param bExchangeRecords 兑换记录
     * @return 结果
     */
    public int updateBExchangeRecords(BExchangeRecords bExchangeRecords);

    /**
     * 删除兑换记录
     * 
     * @param id 兑换记录主键
     * @return 结果
     */
    public int deleteBExchangeRecordsById(Long id);

    /**
     * 批量删除兑换记录
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBExchangeRecordsByIds(Long[] ids);
}
